Bug 1270685 - oc attach '-i -t' option makes the client terminal dead and cannot enter interactive mode
oc attach '-i -t' option makes the client terminal dead and cannot enter inte...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fabiano Franz
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 02:51 EDT by Xingxing Xia
Modified: 2016-01-04 22:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:12:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xingxing Xia 2015-10-12 02:51:52 EDT
Description of problem:
oc attach '-i -t' option makes the client terminal dead and cannot enter interactive mode

Version-Release number of selected component (if applicable):
openshift/oc v1.0.6-519-g86b63be
kubernetes v1.1.0-alpha.1-653-g86b4e77

How reproducible:
Always

Steps to Reproduce:
1. Start openshift
2. oc login, create new project, and then create a pod:
$ oc create -f https://raw.githubusercontent.com/openshift-qe/v3-testfiles/master/pods/pod_with_two_containers.json
3. Wait the pod to be running
$ oc get pod
4. Check oc attach:
$ oc attach doublecontainers -i -t

Actual results:
4. The client terminal is dead, you cannot even type 'Ctrl+C'. Lasting about 20 mins, the client terminal recovers, but doesn't enter interactive mode.

Expected results:
4. Should enter into interactive mode successfully.

Additional info:
'oc rsh doublecontainers' works well and can enter into the shell
Comment 1 Fabiano Franz 2015-11-02 13:31:56 EST
Fixed by https://github.com/openshift/origin/pull/5497
Comment 2 Xingxing Xia 2015-11-04 01:52:04 EST
Verified against version:
openshift/oc v1.0.7-239-gb5cfb09
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4

The bug is fixed.
Move it to VERIFIED

Note You need to log in before you can comment on or make changes to this bug.